<template>
    <div class="container-fluid">
        <div class="row no-gutter">
            <!-- The image half -->
            <div class="col-md-6 d-none d-md-flex bg-image"></div>

            <!-- The content half -->
            <div class="col-md-6 bg-light">
                <div class="login d-flex align-items-center py-5">

                    <!-- Demo content-->
                    <div class="container">
                        <div class="row">
                            <div class="col-lg-10 col-xl-8 mx-auto">
                                <h2 class="display-4">
                                    <NuxtLink to="/" class="home-link">The Events UI</NuxtLink>
                                </h2>
                                <hr>
                                <slot/>
                            </div>
                        </div>
                    </div><!-- End -->

                </div>
            </div><!-- End -->
        </div>
    </div>
</template>
<script setup>
</script>
<style scoped>
    /*
    *
    * ==========================================
    * CUSTOM UTIL CLASSES
    * ==========================================
    *
    */
    .login,.image {
        min-height: 100vh;
    }

    .bg-image {
        background-image: url('https://bootstrapious.com/i/snippets/sn-page-split/bg.jpg');
        background-size: cover;
        background-position: center center;
    }
    .home-link:hover {
        color: var(--bg-pink) !important;
    }
</style>